org.apache.jmeter.engine.util

## Class UndoVariableReplacement

- java.lang.Object
- - org.apache.jmeter.engine.util.UndoVariableReplacement

-     public class UndoVariableReplacement
      extends java.lang.Object

  Replaces ${key} by value extracted from `JMeterVariables` if any

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndoVariableReplacement(CompoundVariable masterFunction, java.util.Map<java.lang.String,java.lang.String> variables)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CompoundVariable` | `getMasterFunction()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getVariables()`
    `void` | `setMasterFunction(CompoundVariable variable)` Set the master function for the value transformer.
    `void` | `setVariables(java.util.Map<java.lang.String,java.lang.String> map)` Set the variable names and values used to reverse replace functions with strings, and undo functions to raw values.
    `JMeterProperty` | `transformValue(JMeterProperty prop)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UndoVariableReplacement

          public UndoVariableReplacement(CompoundVariable masterFunction,
                                         java.util.Map<java.lang.String,java.lang.String> variables)

  - ### Method Detail

    - #### transformValue

          public JMeterProperty transformValue(JMeterProperty prop)
                                        throws InvalidVariableException

      Throws:
        `InvalidVariableException`

    - #### setMasterFunction

          public void setMasterFunction(CompoundVariable variable)

      Set the master function for the value transformer. This handles converting strings to functions.
      Parameters:
        `variable` - Function to be used for the transformation

    - #### getMasterFunction

          protected CompoundVariable getMasterFunction()

    - #### getVariables

          public java.util.Map<java.lang.String,java.lang.String> getVariables()

    - #### setVariables

          public void setVariables(java.util.Map<java.lang.String,java.lang.String> map)

      Set the variable names and values used to reverse replace functions with strings, and undo functions to raw values.
      Parameters:
        `map` - Map of names and values to be used for the transformation

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.